searchNodes=[{"doc":"Documentation for Learnx .","ref":"Learnx.html","title":"Learnx","type":"module"},{"doc":"","ref":"Learnx.Preprocessing.html","title":"Learnx.Preprocessing","type":"module"},{"doc":"","ref":"Learnx.Preprocessing.html#validate_data/1","title":"Learnx.Preprocessing.validate_data/1","type":"function"},{"doc":"Validates input data. Adapts the shape of the given data to one the regressors can use. Parameters x : list or tensor of shape (n_samples, n_features) or (n_samples,). The input samples. y : list or tensor of shape (n_samples,). The targets.","ref":"Learnx.Preprocessing.html#validate_data/2","title":"Learnx.Preprocessing.validate_data/2","type":"function"},{"doc":"","ref":"Learnx.Preprocessing.html#t:tensor/0","title":"Learnx.Preprocessing.tensor/0","type":"type"},{"doc":"","ref":"Learnx.TestHelper.html","title":"Learnx.TestHelper","type":"module"},{"doc":"","ref":"Learnx.TestHelper.html#approx/2","title":"Learnx.TestHelper.approx/2","type":"function"},{"doc":"","ref":"Learnx.TestHelper.html#round/2","title":"Learnx.TestHelper.round/2","type":"function"},{"doc":"Ordinary least squares Linear Regression. LinearRegression fits a linear model with coefficients w = (w1, ..., wp) to minimize the residual sum of squares between the observed targets in the dataset, and the targets predicted by the linear approximation.","ref":"Learnx.LinearRegression.html","title":"Learnx.LinearRegression","type":"module"},{"doc":"Fits linear model. Parameters x : list or tensor of shape {n_samples, n_features} or {n_samples,}. Training data. y : list or tensor of shape {n_samples,}. Target values. Will be cast to X's type if necessary. intercept : boolean. Wether or not to use intercept in calculations. Simple linear regression will always use intercept. Returns A linear regressor containing the coefficients, intercept (if chosen) and number of features. Examples With lists as inputs: iex&gt; x = [ - 1 , 1 , 3 , 5 ] iex&gt; y = [ 6 , 8 , 10 , 12 ] iex&gt; reg = Learnx.LinearRegression . fit ( x , y ) iex&gt; reg . coef # Nx.Tensor &lt; f32 1.0 &gt; iex&gt; reg . intercept 7.0 iex&gt; reg . n_features 1 With tensors: iex&gt; x = Nx . tensor ( [ - 1 , 1 , 3 , 5 ] ) iex&gt; y = Nx . tensor ( [ 6 , 8 , 10 , 12 ] ) iex&gt; reg = Learnx.LinearRegression . fit ( x , y ) iex&gt; reg . coef # Nx.Tensor &lt; f32 1.0 &gt; iex&gt; reg . intercept 7.0 iex&gt; reg . n_features 1 With multiple features as the input: iex&gt; x = [ [ 1 , 1 ] , [ 1 , 2 ] , [ 2 , 2 ] , [ 2 , 3 ] ] iex&gt; y = [ 6 , 8 , 9 , 11 ] iex&gt; reg = Learnx.LinearRegression . fit ( x , y ) iex&gt; reg . coef # Nx.Tensor &lt; f32 [ 2 ] [ 1.0 , 2.0 ] &gt; iex&gt; reg . intercept 2.999993324279785 iex&gt; reg . n_features 2","ref":"Learnx.LinearRegression.html#fit/3","title":"Learnx.LinearRegression.fit/3","type":"function"},{"doc":"Predicts using the linear model. Parameters regressor : trained regressor to use for the predictions. x : number, list or tensor of shape {n_observations, n_features}. Observations to predict. Returns Predicted value or values. Returns the prediction(s) in the type of the input, i. e. if x is a tensor, it returns a tensor; and if x is a number, it returns a number. Examples Single feature regression: iex&gt; x = [ - 1 , 1 , 3 , 5 ] iex&gt; y = [ 6 , 8 , 10 , 12 ] iex&gt; reg = Learnx.LinearRegression . fit ( x , y ) iex&gt; reg |&gt; Learnx.LinearRegression . predict ( 2 ) 9.0 iex&gt; reg |&gt; Learnx.LinearRegression . predict ( [ 4 , 6 ] ) [ 11.0 , 13.0 ] Multiple features regression: iex&gt; x = [ [ 1 , 1 ] , [ 1 , 2 ] , [ 2 , 2 ] , [ 2 , 3 ] ] iex&gt; y = [ 6 , 8 , 10 , 12 ] iex&gt; reg = Learnx.LinearRegression . fit ( x , y ) iex&gt; reg |&gt; Learnx.LinearRegression . predict ( [ 3 , 3 ] ) [ 13.999992370605469 ]","ref":"Learnx.LinearRegression.html#predict/2","title":"Learnx.LinearRegression.predict/2","type":"function"},{"doc":"Linear regressor. coef : tensor of shape {n_features, }. Estimated coefficients for the linear regression problem. intercept : float. Independent term in the linear model. Set to nil if fit_intercept = False. n_features : int. Number of features seen during fit.","ref":"Learnx.LinearRegression.html#t:regressor/0","title":"Learnx.LinearRegression.regressor/0","type":"type"},{"doc":"","ref":"Learnx.LinearRegression.html#t:tensor/0","title":"Learnx.LinearRegression.tensor/0","type":"type"},{"doc":"Polynomial Regression. Generates new feature matrix consisting of all polynomial combinations of the features with degree less than or equal to the specified degree. For example, if an input sample is two dimensional and of the form [a, b], the degree-2 polynomial features are [1, a, b, a^2, ab, b^2]. Then, with this feature matrix, a Linear Regression can be performed.","ref":"Learnx.PolynomialRegression.html","title":"Learnx.PolynomialRegression","type":"module"},{"doc":"Fits polynomial model. Parameters x : list or tensor of shape {n_samples, n_features} or {n_samples,}. Training data. y : list or tensor of shape {n_samples}. Target values. Will be cast to X's type if necessary. Returns A polynomial regressor containing the coefficients, intercept (if chosen), number of features and the degree. Examples Using lists as inputs, degree 3: iex&gt; x = [ - 1 , 1 , 3 , 5 ] iex&gt; y = [ 6 , 8 , 10 , 12 ] iex&gt; reg = Learnx.PolynomialRegression . fit ( x , y , 3 ) iex&gt; reg . n_features 1 iex&gt; reg . degree 3 iex&gt; reg . intercept 6.999995231628418 iex&gt; reg . coef # Nx.Tensor &lt; f32 [ 3 ] [ 0.9999974966049194 , 1.0758638381958008e-5 , - 1.9297003746032715e-6 ] &gt; Using tensors as inputs, degree 2, no bias: iex&gt; x = [ [ 1 , 1 ] , [ 1 , 2 ] , [ 2 , 2 ] , [ 2 , 3 ] ] iex&gt; y = [ 6 , 8 , 10 , 12 ] iex&gt; reg = Learnx.PolynomialRegression . fit ( x , y , 3 , include_bias : true ) iex&gt; reg . n_features 1 iex&gt; reg . degree 2 iex&gt; reg . intercept nil iex&gt; reg . coef # Nx.Tensor &lt; f32 [ 2 ] [ 1.5637593269348145 , 0.23489943146705627 ] &gt;","ref":"Learnx.PolynomialRegression.html#fit/4","title":"Learnx.PolynomialRegression.fit/4","type":"function"},{"doc":"Predicts using the polynomial model. Parameters regressor : trained regressor to use for the predictions. x : tensor of shape {n_samples, n_features}. Samples. Returns Predicted value or values. Returns the prediction(s) in the type of the input, i. e. if x is a tensor, it returns a tensor; and if x is a number, it returns a number.","ref":"Learnx.PolynomialRegression.html#predict/2","title":"Learnx.PolynomialRegression.predict/2","type":"function"},{"doc":"Transforms and returns x. Generates the feature matrix from the matrix, the result is based on the degree. Parameters x : tensor of shape {n_samples, n_features}. Samples. degree : non-negative integer. Degree of the transformed matrix to return. include_bias : boolean, default=true. If true , then include a bias column, the feature in which all polynomial powers are zero (i.e. a column of ones - acts as an intercept term in a linear model). Returns Transformed version of x.","ref":"Learnx.PolynomialRegression.html#transform/3","title":"Learnx.PolynomialRegression.transform/3","type":"function"},{"doc":"Polynomial regressor. coef : tensor of shape {n_polynomial_features}. Estimated coefficients for the linear regression problem. The dimensions of the tensor will depend on the number of polynomial features generated by the features matrix, which depends on the degree and number of features. intercept : float. Independent term in the linear model. Set to nil if fit_intercept=false. n_features : int. Number of features seen during fit. degree : positive int, default=2. If a single int is given, it specifies the maximal degree of the polynomial features. If a tuple (min_degree, max_degree) is passed, then min_degree is the minimum and max_degree is the maximum polynomial degree of the generated features. Note that min_degree=0 and min_degree=1 are equivalent as outputting the degree zero term is determined by include_bias.","ref":"Learnx.PolynomialRegression.html#t:regressor/0","title":"Learnx.PolynomialRegression.regressor/0","type":"type"},{"doc":"","ref":"Learnx.PolynomialRegression.html#t:tensor/0","title":"Learnx.PolynomialRegression.tensor/0","type":"type"}]